org.apache.catalina.ha

## Interface ClusterValve

- All Superinterfaces:
    Valve
  All Known Implementing Classes:
    ClusterSingleSignOn, JvmRouteBinderValve, ReplicationValve

      public interface ClusterValve
      extends Valve

  Cluster valves are a simple extension to the Tomcat valve architecture with a small addition of being able to reference the cluster component in the container it sits in.
  Author:
    Peter Rossbach

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CatalinaCluster` | `getCluster()` Returns the cluster the cluster deployer is associated with
    `void` | `setCluster(CatalinaCluster cluster)` Associates the cluster deployer with a cluster

    - ### Methods inherited from interface org.apache.catalina.Valve

      `backgroundProcess, getNext, invoke, isAsyncSupported, setNext`

- - ### Method Detail

    - #### getCluster

          CatalinaCluster getCluster()

      Returns the cluster the cluster deployer is associated with
      Returns:
        CatalinaCluster

    - #### setCluster

          void setCluster(CatalinaCluster cluster)

      Associates the cluster deployer with a cluster
      Parameters:
        `cluster` - CatalinaCluster

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.